<h1>Sondage sur les sondages</h1>

<form [formGroup]="surveyForm" (ngSubmit)="onSubmit()">
    <div formGroupName="questions" *ngIf="currentState == 'questions'">
        <label for="reponse1">Quels sont vos 3 thèmes préféres, séparés par des virgules ?</label><br />
        <input type="text" id="reponse1" name="reponse1" formControlName="reponse1" />

        <br />
        <br />
        <p>Aimez-vous répondre à des sondages ?</p>
        <div>
            <input type="radio" id="oui" name="reponse2" value="Oui" formControlName="reponse2" checked>
            <label for="oui">Oui</label>
        </div>
        <div>
            <input type="radio" id="non" name="reponse2" value="Non" formControlName="reponse2">
            <label for="non">Non</label>
        </div>
        <p>Quelles couleurs aimez-vous ?</p>
        <div>
            <input type="checkbox" id="cbx_bleu" name="cbx_bleu" value="Bleu" formControlName="couleurBleu">
            <label for="cbx_bleu">Bleu</label>
        </div>
        <div>
            <input type="checkbox" id="cbx_rouge" name="cbx_rouge" value="Rouge" formControlName="couleurRouge">
            <label for="cbx_rouge">Rouge</label>
        </div>
        <div>
            <input type="checkbox" id="cbx_vert" name="cbx_vert" value="Vert" formControlName="couleurVert">
            <label for="cbx_vert">Vert</label>
        </div>
        <div>
            <input type="checkbox" id="cbx_jaune" name="cbx_jaune" value="Jaune" formControlName="couleurJaune">
            <label for="cbx_jaune">Jaune</label>
        </div>
    </div>
    <div formGroupName="coordonnees" *ngIf="currentState == 'coordonnees'">
        <label for="nom">Comment vous appelez-vous ?</label><br />
        <input type="text" id="nom" name="nom" formControlName="nom" />

        <br />
        <br />
        <label for="email">Quelle est votre adresse email ?</label><br />
        <input type="text" id="email" name="email" formControlName="email" />
    </div>
    <div *ngIf="currentState == 'recap'">
        <p>Merci d'avoir rempli notre sondage.</p>
        <p>Avant de terminer, merci de vérifier les informations que vous nous avez données :</p>

        <p>Thèmes : {{ reponse1 }}</p>
        <ul>
            <li *ngFor="let theme of reponse1array">{{ theme }}</li>
        </ul>

        <p>Votre préférence sur les sondages : {{ reponse2 }}</p>

        <p>Vous vous appelez {{ nom }} et on peut vous écrire sur votre adresse {{ email }}</p>
    </div>
    <br />
    <br />
    <input type="submit" value="Envoyer" />

</form>